GNU bug report logs - #35925
perl-mode wrecks formats

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; dated Mon, 27 May 2019 13:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35925 <at> debbugs.gnu.org:


Received: (at 35925) by debbugs.gnu.org; 9 Jul 2019 15:11:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 11:11:57 2019
Received: from localhost ([127.0.0.1]:33743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkrmf-00061Q-8c
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 11:11:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56487)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hkrmc-00060k-MC
 for 35925 <at> debbugs.gnu.org; Tue, 09 Jul 2019 11:11:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52211)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hkrmX-0000oy-Gp; Tue, 09 Jul 2019 11:11:49 -0400
Received: from [176.228.60.248] (port=4282 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hkrmW-0001ly-Nk; Tue, 09 Jul 2019 11:11:49 -0400
Date: Tue, 09 Jul 2019 18:11:35 +0300
Message-Id: <83k1cr5jko.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <m3sgrfxvf0.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 09 Jul 2019 14:08:19 +0200)
Subject: Re: bug#35925: perl-mode wrecks formats
References: <87lfysujo6.8.fsf@HIDDEN> <877e8sez3h.fsf@HIDDEN>
 <874l3vy3uj.5.fsf@HIDDEN> <m3sgrfxvf0.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35925
Cc: 35925 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 09 Jul 2019 14:08:19 +0200
> Cc: 35925 <at> debbugs.gnu.org
> 
> (Why is there two Perl modes in Emacs, anyway?)

You don't want to know. ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35925; Package emacs. Full text available.

Message received at 35925 <at> debbugs.gnu.org:


Received: (at 35925) by debbugs.gnu.org; 9 Jul 2019 12:21:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 08:21:49 2019
Received: from localhost ([127.0.0.1]:60424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkp81-0004kt-5t
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 08:21:49 -0400
Received: from pdx1-sub0-mail-fallback-a1.dreamhost.com ([64.90.62.138]:47092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1hkp7v-0004kd-II
 for 35925 <at> debbugs.gnu.org; Tue, 09 Jul 2019 08:21:47 -0400
Received: from pdx1-sub0-mail-a80.g.dreamhost.com (unknown [10.35.43.67])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by pdx1-sub0-mail-fallback-a1.dreamhost.com (Postfix) with ESMTPS id
 CBD5227733F; Tue,  9 Jul 2019 05:21:37 -0700 (PDT)
Received: from pdx1-sub0-mail-a80.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a80.g.dreamhost.com (Postfix) with ESMTP id 452C38334C;
 Tue,  9 Jul 2019 05:18:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=7NJGucttFFI6cjfsnNo/ArWmU3E=; b=kzP4PIBT26DAJ
 SJmOt90944SvkEoSOCj9mUhaRFk5togWHDUa2dnGAddVwhlXonSvGWY5wOL2MfKj
 EsS9iIpv7curf9M81IrfTvIGqGBkFJAoqPuIgbHmOhvhWCUt8WXyFVAO31Pqayla
 S0DdCo0VlQ12YKzbJCdEvjMnjsqk9c=
Received: from jidanni.org (111-246-99-103.dynamic-ip.hinet.net
 [111.246.99.103])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a80.g.dreamhost.com (Postfix) with ESMTPSA id 3C0D083354;
 Tue,  9 Jul 2019 05:18:56 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a80
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#35925: perl-mode wrecks formats
References: <87lfysujo6.8.fsf@HIDDEN> <877e8sez3h.fsf@HIDDEN>
 <874l3vy3uj.5.fsf@HIDDEN> <m3sgrfxvf0.fsf@HIDDEN>
Date: Tue, 09 Jul 2019 20:18:53 +0800
Message-ID: <87tvbvv1si.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrgedvgdehfecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffufhffkfggtgesthdtredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecukfhppeduuddurddvgeeirdelledruddtfeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepjhhiuggrnhhnihdrohhrghdpihhnvghtpeduuddurddvgeeirdelledruddtfedprhgvthhurhhnqdhprghthheppeeruhhtfhdqkeerueerheeimhfphefnihehhegsveekreepucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqedpmhgrihhlfhhrohhmpehjihgurghnnhhisehjihgurghnnhhirdhorhhgpdhnrhgtphhtthhopeefheelvdehseguvggssghughhsrdhgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35925
Cc: 35925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I used to use cperl-mode but now I use perl-mode.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35925; Package emacs. Full text available.

Message received at 35925 <at> debbugs.gnu.org:


Received: (at 35925) by debbugs.gnu.org; 9 Jul 2019 12:08:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 08:08:26 2019
Received: from localhost ([127.0.0.1]:60410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkov3-0002Ib-OV
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 08:08:25 -0400
Received: from quimby.gnus.org ([80.91.231.51]:44754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkov2-0002IS-88
 for 35925 <at> debbugs.gnu.org; Tue, 09 Jul 2019 08:08:24 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hkouy-00052q-10; Tue, 09 Jul 2019 14:08:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#35925: perl-mode wrecks formats
References: <87lfysujo6.8.fsf@HIDDEN> <877e8sez3h.fsf@HIDDEN>
 <874l3vy3uj.5.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEUAAAACAQG1tE2jfZVs
 XHEEAwQ/NkQVDxPaA5gWAAACX0lEQVQ4jW3UO4+jMBAAYCPl0eIC6C3ka08yx7Yn4zXtIsVxuwFj
 2s0t4L9/Y2M46XatFMl8zIxfBCF0VkplE8b5L5QihBIHo8v8t0y7de3w50/kf12JtfYRQCk7aeuG
 3x7QxcNrBGUzuwAkzwBkCnBWHXZuTIZ3lIwAvOTlAdZN6PP9bKcU5YSMPMBV4WLC69vwgQrwCyGU
 vxYhIyvekmIRKUrsB8ANSmkPHfZDVym6ju++OSUe0nOXecgrnJ5Thy6iHPuYcYf2+FYlybaOkpAN
 8OphrnFcoNgBVvrcAMNuXQj9E5vf3YJxNr/ABD4gw3KY7gY+ATJQsmjIeOR7KaceAGuNznrCYa8i
 qKzTuJvrRK8tAEyKHwu8K99cDxXuctITGiHDN/0EKExduJxPPdnB2UkNNV7mdlnykrRx5Qrf7VI0
 ddHNchKWGDioDVRhn7p5KawxFZM9ncsd7u6hm1aIRjJWE17u01VOPR1rm4bZhlVE8wO6Ba+shahs
 WM0FlzvocVqZbQWrwUh5lNJDXRsGtTYgz7hy5wZWCcaqAMKQ8gAIwpSYER4IiZt4aQbGmAfRVB54
 hBM870GwhsFH8B/9tomnxkc9hCFKsl0fdB2ggbByh389WA1PCzlEALGxh4HifrL/ZVyFibEN+A6n
 OlaXIVHAhQvbnpykCfHKSiMmCxlxr67qFuKLaye3jvM4H9fnLgb2ssCb6OAEbtI2x3lo5SAO0Qze
 LlgUX+Imfhkq9CDfjAC0p5RLuB09saWkpO8p38BSb4ZK3htJTW8sAIZS9PtS/t/nywil/Cy+wF+d
 o/ZMCp3/IwAAAABJRU5ErkJggg==
Date: Tue, 09 Jul 2019 14:08:19 +0200
In-Reply-To: <874l3vy3uj.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Tue, 09 Jul 2019 17:06:12 +0800")
Message-ID: <m3sgrfxvf0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: >>>>>>
    "LI" == Lars Ingebrigtsen <larsi@HIDDEN> writes: > LI> Does this work better
    for you in cperl-mode? > OK it stays put in cperl-mode. So the bug is in
   perl-mode. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35925
Cc: 35925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

>>>>>> "LI" =3D=3D Lars Ingebrigtsen <larsi@HIDDEN> writes:
> LI> Does this work better for you in cperl-mode?
> OK it stays put in cperl-mode. So the bug is in perl-mode.

Yes, and that should be fixed, but you've reported a series of edge case
bugs in perl-mode, and I wondered whether you knew that there's a
different Perl mode in Emacs that has none of the problems you're
experiencing.

(Why is there two Perl modes in Emacs, anyway?)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35925; Package emacs. Full text available.

Message received at 35925 <at> debbugs.gnu.org:


Received: (at 35925) by debbugs.gnu.org; 9 Jul 2019 10:22:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 06:22:18 2019
Received: from localhost ([127.0.0.1]:60316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hknGL-0005sf-OL
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 06:22:18 -0400
Received: from anteater.elm.relay.mailchannels.net ([23.83.212.3]:29213)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1hknGJ-0005sP-BP
 for 35925 <at> debbugs.gnu.org; Tue, 09 Jul 2019 06:22:16 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 408E6501A3C;
 Tue,  9 Jul 2019 10:22:14 +0000 (UTC)
Received: from pdx1-sub0-mail-a27.g.dreamhost.com
 (100-96-11-45.trex.outbound.svc.cluster.local [100.96.11.45])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 7FFFF50185C;
 Tue,  9 Jul 2019 10:22:13 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a27.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.3); Tue, 09 Jul 2019 10:22:14 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Abortive-Keen: 106229614d885a51_1562667733955_1511736262
X-MC-Loop-Signature: 1562667733955:1749631841
X-MC-Ingress-Time: 1562667733955
Received: from pdx1-sub0-mail-a27.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a27.g.dreamhost.com (Postfix) with ESMTP id 38DA383BCF;
 Tue,  9 Jul 2019 03:22:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=6Xga9+x29AV+TdJYDYfo6dzv4x4=; b=hAp668gmPLeKW
 xZ3KStij42FUuhozn1HJOPJrEEHiCiy0N0e2x3LcpgC1VuzIiUFlgOBbTDFr5Qjy
 2TxAV/FOTJYpMJvPgindwtOiVec/a3jFlf/fvKHcXCAapsXHkBJX0pvwPanypXl4
 rKAKi9WrxNnf+RTK8JIFbnYhxNyl6A=
Received: from jidanni.org (111-246-99-103.dynamic-ip.hinet.net
 [111.246.99.103])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a27.g.dreamhost.com (Postfix) with ESMTPSA id 8146083BCE;
 Tue,  9 Jul 2019 03:22:07 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a27
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#35925: perl-mode wrecks formats
References: <87lfysujo6.8.fsf@HIDDEN> <877e8sez3h.fsf@HIDDEN>
Date: Tue, 09 Jul 2019 17:06:12 +0800
Message-ID: <874l3vy3uj.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrgedvgdeftdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffufhffkfggtgesthdtredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecukfhppeduuddurddvgeeirdelledruddtfeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepjhhiuggrnhhnihdrohhrghdpihhnvghtpeduuddurddvgeeirdelledruddtfedprhgvthhurhhnqdhprghthheppeeruhhtfhdqkeerueerheeimhfphefnihehhegsveekreepucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqedpmhgrihhlfhhrohhmpehjihgurghnnhhisehjihgurghnnhhirdhorhhgpdhnrhgtphhtthhopeefheelvdehseguvggssghughhsrdhgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgepfe
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35925
Cc: 35925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "LI" == Lars Ingebrigtsen <larsi@HIDDEN> writes:
LI> Does this work better for you in cperl-mode?
OK it stays put in cperl-mode. So the bug is in perl-mode.
C-x h
TAB
to test.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35925; Package emacs. Full text available.

Message received at 35925 <at> debbugs.gnu.org:


Received: (at 35925) by debbugs.gnu.org; 9 Jul 2019 02:11:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 22:11:35 2019
Received: from localhost ([127.0.0.1]:60112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkfbT-0007fX-Bp
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 22:11:35 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkfbS-0007fP-01
 for 35925 <at> debbugs.gnu.org; Mon, 08 Jul 2019 22:11:34 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkfbO-0007zb-Ak; Tue, 09 Jul 2019 04:11:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#35925: perl-mode wrecks formats
References: <87lfysujo6.8.fsf@HIDDEN>
Date: Tue, 09 Jul 2019 04:11:30 +0200
In-Reply-To: <87lfysujo6.8.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Mon, 27 May 2019 21:11:05 +0800")
Message-ID: <877e8sez3h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > In
   perl-mode, > > format FH = > @<< @# @<< @### @<<<<< @# @<<<< @# > (split)[0..5,
    7..8] > . > write FH; > > becomes > > format FH = > @<< @# @<< @### @<<<<<
    @# @<<<< @# > (split)[0..5, 7..8] > . > [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35925
Cc: 35925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> In perl-mode,
>
> format FH =3D
> @<< @# @<< @### @<<<<< @# @<<<< @#
> (split)[0..5, 7..8]
> .
> write FH;
>
> becomes
>
> format FH =3D
>     @<< @# @<< @### @<<<<< @# @<<<< @#
>     (split)[0..5, 7..8]
>     .
>     write FH;
>
> wrecking output indentation and even introducing a syntax error on the ".=
" line.

Does this work better for you in cperl-mode?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35925; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 May 2019 13:58:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 27 09:58:25 2019
Received: from localhost ([127.0.0.1]:53682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVG8v-0004VJ-By
	for submit <at> debbugs.gnu.org; Mon, 27 May 2019 09:58:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1hVG8t-0004V3-S4
 for submit <at> debbugs.gnu.org; Mon, 27 May 2019 09:58:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:57270)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1hVG8o-0006w0-MW
 for submit <at> debbugs.gnu.org; Mon, 27 May 2019 09:58:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40316)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1hVG8n-0006jH-Om
 for bug-gnu-emacs@HIDDEN; Mon, 27 May 2019 09:58:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=1.0 required=5.0 tests=BAYES_40,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1hVG8m-0006ux-Pn
 for bug-gnu-emacs@HIDDEN; Mon, 27 May 2019 09:58:17 -0400
Received: from golden.birch.relay.mailchannels.net ([23.83.209.73]:6129)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1hVG8m-0006s4-AF
 for bug-gnu-emacs@HIDDEN; Mon, 27 May 2019 09:58:16 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id A13836A2CA0
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 May 2019 13:58:12 +0000 (UTC)
Received: from pdx1-sub0-mail-a31.g.dreamhost.com
 (100-96-89-88.trex.outbound.svc.cluster.local [100.96.89.88])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 21C366A327D
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 May 2019 13:58:12 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a31.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.2); Mon, 27 May 2019 13:58:12 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Battle-Bottle: 4d72451739584276_1558965492484_2687001868
X-MC-Loop-Signature: 1558965492484:887689993
X-MC-Ingress-Time: 1558965492484
Received: from pdx1-sub0-mail-a31.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a31.g.dreamhost.com (Postfix) with ESMTP id 83F9383EEF
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 May 2019 06:58:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=rUzwTVk8Atbu9SxYTdqXAMB+ijw=; b=dCwGVOX+y7jMJUIj
 tnp9vQd4jGvYIZrpo+/NyzPnsmB9Jz8jcRFntfLGjiL9fHOafI1Wr6zOUlmEis2a
 rpP7//L1/EnBROQ0YRDbG1g6wSj5LDo7ICgUucTMeAYu8Ee6hIqKHCHmdzehenjx
 12nH8wb4EbiN8jlxX2S9Em0KFiI=
Received: from jidanni.org (114-41-9-41.dynamic-ip.hinet.net [114.41.9.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a31.g.dreamhost.com (Postfix) with ESMTPSA id 271987F15C
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 May 2019 06:58:08 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a31
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: perl-mode wrecks formats
Date: Mon, 27 May 2019 21:11:05 +0800
Message-ID: <87lfysujo6.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduuddruddvvddgjedvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkgggtsehttdertddttdejnecuhfhrohhmpejnnjjnucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqeenucfkphepuddugedrgedurdelrdegudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepjhhiuggrnhhnihdrohhrghdpihhnvghtpeduudegrdeguddrledrgedupdhrvghtuhhrnhdqphgrthhhpeeprehuthhfqdekreeureehiehmpfehnfhiheehsgevkeerpecuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqpdhmrghilhhfrhhomhepjhhiuggrnhhnihesjhhiuggrnhhnihdrohhrghdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedv
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 23.83.209.73
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

In perl-mode,

format FH =
@<< @# @<< @### @<<<<< @# @<<<< @#
(split)[0..5, 7..8]
.
write FH;

becomes

format FH =
    @<< @# @<< @### @<<<<< @# @<<<< @#
    (split)[0..5, 7..8]
    .
    write FH;

wrecking output indentation and even introducing a syntax error on the "." line.

(See man perlform.)

Seen with C-x h TAB, emacs-version "26.1".




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35925; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.